### Method

# St Button fake_release

#### Declaration [src]

    void
    st_button_fake_release (
      StButton* button
    )

#### Description [src]

If this widget is holding a pointer grab, this function will will ungrab it, and reset the `StButton:pressed` state. The effect is similar to if the user had released the mouse button, but without emitting the `StButton::clicked` signal.

This function is useful if for example you want to do something after the user is holding the mouse button for a given period of time, breaking the grab.